Package org.apache.groovy.parser.antlr4

## Class Antlr4PluginFactory

- java.lang.Object
- - org.codehaus.groovy.control.ParserPluginFactory
  - - org.apache.groovy.parser.antlr4.Antlr4PluginFactory

-     public class Antlr4PluginFactory
      extends ParserPluginFactory

  A parser plugin factory for the new parser.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Antlr4PluginFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParserPlugin` | `createParserPlugin()` |

    - ### Methods inherited from class org.codehaus.groovy.control.ParserPluginFactory

      `antlr2, antlr4`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Antlr4PluginFactory

          public Antlr4PluginFactory()

  - ### Method Detail

    - #### createParserPlugin

          public ParserPlugin createParserPlugin()

      Specified by:
        `createParserPlugin` in class `ParserPluginFactory`